Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.document.jdbc
Class CallableStatement

    java.lang.Object
      com.bea.p13n.content.document.jdbc.CallableStatement

All Implemented Interfaces:
  CallableStatement, PreparedStatement, Statement

Direct Known Subclasses:
  GetDocumentMetadataStatement, GetDocumentModifiedDateStatement, GetDocumentStatement, GetSchemaNamesStatement, GetSchemasStatement, GetSchemaStatement, SearchStatement

public abstract class CallableStatement
extends Object
implements CallableStatement

The base class of any DocumentProvider callable statements.

This takes care of much of the extraneous methods. Subclasses needs to implement the `close()`, `clearParameters()`, `execute()`, `setObject(int, java.lang.Object)`, and `getObject(int)` methods. Subclasses can also override methods as needed to add additional functionality.

Field Summary
`protected Connection` | `connection` Deprecated. The connection which spawned us.

Fields inherited from interface java.sql.Statement
`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

Constructor Summary
`CallableStatement(Connection connection)` Deprecated. Constructor.

Method Summary
`void` | `addBatch()` Deprecated. Not supported.
`void` | `addBatch(String sql)` Deprecated. Not supported.
`void` | `cancel()` Deprecated. Intentionally empty.
`void` | `clearBatch()` Deprecated. Not supported.
`abstract void` | `clearParameters()` Deprecated. Clear the input/output parameters internally.
`void` | `clearWarnings()` Deprecated. Intentionally blank.
`abstract void` | `close()` Deprecated. Subclasses must implement this method.
`abstract boolean` | `execute()` Deprecated. Execute the command with the set input parameters.
`boolean` | `execute(String sql)` Deprecated. Not supported.
`boolean` | `execute(String sql, int autoGeneratedKeys)` Deprecated. Not supported.
`boolean` | `execute(String sql, int[] columnIndexes)` Deprecated. Not supported.
`boolean` | `execute(String sql, String[] columnNames)` Deprecated. Not supported.
`int[]` | `executeBatch()` Deprecated. Not supported.
`ResultSet` | `executeQuery()` Deprecated. Not supported.
`ResultSet` | `executeQuery(String sql)` Deprecated. Not supported.
`int` | `executeUpdate()` Deprecated. This justs executes the statement.
`int` | `executeUpdate(String sql)` Deprecated. Not supported.
`int` | `executeUpdate(String sql, int autoGeneratedKeys)` Deprecated. Not supported.
`int` | `executeUpdate(String sql, int[] columnIndexes)` Deprecated. Not supported.
`int` | `executeUpdate(String sql, String[] columnNames)` Deprecated. Not supported.
`Array` | `getArray(int index)` Deprecated. Not supported.
`Array` | `getArray(String parameterName)` Deprecated. Not supported.
`BigDecimal` | `getBigDecimal(int index)` Deprecated. Not supported.
`BigDecimal` | `getBigDecimal(int index, int scale)` Deprecated. Not supported.
`BigDecimal` | `getBigDecimal(String parameterName)` Deprecated. Not supported.
`Blob` | `getBlob(int index)` Deprecated. Not supported.
`Blob` | `getBlob(String parameterName)` Deprecated. Not supported.
`boolean` | `getBoolean(int index)` Deprecated. Not supported.
`boolean` | `getBoolean(String parameterName)` Deprecated. Not supported.
`byte` | `getByte(int index)` Deprecated. Not supported.
`byte` | `getByte(String parameterName)` Deprecated. Not supported.
`byte[]` | `getBytes(int index)` Deprecated. Not supported.
`byte[]` | `getBytes(String parameterName)` Deprecated. Not supported.
`Clob` | `getClob(int index)` Deprecated. Not supported.
`Clob` | `getClob(String parameterName)` Deprecated. Not supported.
`Connection` | `getConnection()` Deprecated. Return the connection which spawned us.
`Date` | `getDate(int index)` Deprecated. Not supported.
`Date` | `getDate(int index, Calendar cal)` Deprecated. Not supported.
`Date` | `getDate(String parameterName)` Deprecated. Not supported.
`Date` | `getDate(String parameterName, Calendar cal)` Deprecated. Not supported.
`protected DocumentProvider` | `getDocumentProvider()` Deprecated. Get the DocumentProvider we can use.
`double` | `getDouble(int index)` Deprecated. Not supported.
`double` | `getDouble(String parameterName)` Deprecated. Not supported.
`int` | `getFetchDirection()` Deprecated. Not supported.
`int` | `getFetchSize()` Deprecated. Not supported.
`float` | `getFloat(int index)` Deprecated. Not supported.
`float` | `getFloat(String parameterName)` Deprecated. Not supported.
`ResultSet` | `getGeneratedKeys()` Deprecated. Not supported.
`int` | `getInt(int index)` Deprecated. Not supported.
`int` | `getInt(String parameterName)` Deprecated. Not supported.
`long` | `getLong(int index)` Deprecated. Not supported.
`long` | `getLong(String parameterName)` Deprecated. Not supported.
`int` | `getMaxFieldSize()` Deprecated. Not supported.
`int` | `getMaxRows()` Deprecated. Not supported.
`ResultSetMetaData` | `getMetaData()` Deprecated. Not supported.
`boolean` | `getMoreResults()` Deprecated. Not supported.
`boolean` | `getMoreResults(int current)` Deprecated. Not supported.
`abstract Object` | `getObject(int index)` Deprecated. Return the output parameter at index.
`Object` | `getObject(int index, Map map)` Deprecated. Return the output parameter at index.
`Object` | `getObject(String parameter)` Deprecated. Not supported.
`Object` | `getObject(String parameterName, Map map)` Deprecated. Return the output parameter at index.
`ParameterMetaData` | `getParameterMetaData()` Deprecated. Not supported.
`int` | `getQueryTimeout()` Deprecated. Not supported.
`Ref` | `getRef(int index)` Deprecated. Not supported.
`Ref` | `getRef(String parameterName)` Deprecated. Not supported.
`ResultSet` | `getResultSet()` Deprecated. Not supported.
`int` | `getResultSetConcurrency()` Deprecated. Not supported.
`int` | `getResultSetHoldability()` Deprecated. Not supported.
`int` | `getResultSetType()` Deprecated. Not supported.
`short` | `getShort(int index)` Deprecated. Not supported.
`short` | `getShort(String parameterName)` Deprecated. Not supported.
`String` | `getString(int index)` Deprecated. Not supported.
`String` | `getString(String parameterName)` Deprecated. Not supported.
`Time` | `getTime(int index)` Deprecated. Not supported.
`Time` | `getTime(int index, Calendar cal)` Deprecated. Not supported.
`Time` | `getTime(String parameterName)` Deprecated. Not supported.
`Time` | `getTime(String parameterName, Calendar cal)` Deprecated. Not supported.
`Timestamp` | `getTimestamp(int index)` Deprecated. Not supported.
`Timestamp` | `getTimestamp(int index, Calendar cal)` Deprecated. Not supported.
`Timestamp` | `getTimestamp(String parameterName)` Deprecated. Not supported.
`Timestamp` | `getTimestamp(String parameterName, Calendar cal)` Deprecated. Not supported.
`int` | `getUpdateCount()` Deprecated. Not supported.
`URL` | `getURL(int parameterIndex)` Deprecated. Not supported.
`URL` | `getURL(String parameterName)` Deprecated. Not supported.
`SQLWarning` | `getWarnings()` Deprecated. Intentionally blank.
`void` | `registerOutParameter(int index, int sqlType)` Deprecated. Intentionally blank.
`void` | `registerOutParameter(int index, int sqlType, int scale)` Deprecated. Intentionally blank
`void` | `registerOutParameter(int index, int sqlType, String typeName)` Deprecated. Intentionally blank
`void` | `registerOutParameter(String parameterName, int sqlType)` Deprecated. Intentionally blank.
`void` | `registerOutParameter(String parameterName, int sqlType, int scale)` Deprecated. Intentionally blank
`void` | `registerOutParameter(String parameterName, int sqlType, String typeName)` Deprecated. Intentionally blank
`void` | `setArray(int index, Array x)` Deprecated. Not supported.
`void` | `setAsciiStream(int index, InputStream x, int length)` Deprecated. Not supported.
`void` | `setAsciiStream(String parameterName, InputStream x, int length)` Deprecated. Not supported.
`void` | `setBigDecimal(int index, BigDecimal x)` Deprecated. Not supported.
`void` | `setBigDecimal(String parameterName, BigDecimal x)` Deprecated. Not supported.
`void` | `setBinaryStream(int index, InputStream x, int length)` Deprecated. Not supported.
`void` | `setBinaryStream(String parameterName, InputStream x, int length)` Deprecated. Not supported.
`void` | `setBlob(int index, Blob x)` Deprecated. Not supported.
`void` | `setBoolean(int index, boolean x)` Deprecated. Not supported.
`void` | `setBoolean(String parameterName, boolean x)` Deprecated. Not supported.
`void` | `setByte(int index, byte x)` Deprecated. Not supported.
`void` | `setByte(String parameterName, byte x)` Deprecated. Not supported.
`void` | `setBytes(int index, byte[] x)` Deprecated. Not supported.
`void` | `setBytes(String parameterName, byte[] x)` Deprecated. Not supported.
`void` | `setCharacterStream(int index, Reader reader, int length)` Deprecated. Not supported.
`void` | `setCharacterStream(String parameterName, Reader reader, int length)` Deprecated. Not supported.
`void` | `setClob(int index, Clob x)` Deprecated. Not supported.
`void` | `setCursorName(String name)` Deprecated. Not supported.
`void` | `setDate(int index, Date x)` Deprecated. Not supported.
`void` | `setDate(int index, Date x, Calendar cal)` Deprecated. Not supported.
`void` | `setDate(String parameterName, Date x)` Deprecated. Not supported.
`void` | `setDate(String parameterName, Date x, Calendar cal)` Deprecated. Not supported.
`void` | `setDouble(int index, double x)` Deprecated. Not supported.
`void` | `setDouble(String parameterName, double x)` Deprecated. Not supported.
`void` | `setEscapeProcessing(boolean enable)` Deprecated. Not supported.
`void` | `setFetchDirection(int direction)` Deprecated. Not supported.
`void` | `setFetchSize(int rows)` Deprecated. Not supported.
`void` | `setFloat(int index, float x)` Deprecated. Not supported.
`void` | `setFloat(String parameterName, float x)` Deprecated. Not supported.
`void` | `setInt(int index, int x)` Deprecated. Not supported.
`void` | `setInt(String parameterName, int x)` Deprecated. Not supported.
`void` | `setLong(int index, long x)` Deprecated. Not supported.
`void` | `setLong(String parameterName, long x)` Deprecated. Not supported.
`void` | `setMaxFieldSize(int max)` Deprecated. Not supported.
`void` | `setMaxRows(int max)` Deprecated. Not supported.
`void` | `setNull(int index, int sqlType)` Deprecated. Not supported.
`void` | `setNull(int index, int sqlType, String typeName)` Deprecated. Not supported.
`void` | `setNull(String parameterName, int sqlType)` Deprecated. Not supported.
`void` | `setNull(String parameterName, int sqlType, String typeName)` Deprecated. Not supported.
`abstract void` | `setObject(int index, Object x)` Deprecated. Set the input parameter.
`void` | `setObject(int index, Object x, int sqlType)` Deprecated. Set the input parameter.
`void` | `setObject(int index, Object x, int sqlType, int scale)` Deprecated. Set the input parameter.
`void` | `setObject(String parameterName, Object x)` Deprecated. Not supported.
`void` | `setObject(String parameterName, Object x, int sqlType)` Deprecated. Set the input parameter.
`void` | `setObject(String parameterName, Object x, int sqlType, int scale)` Deprecated. Set the input parameter.
`void` | `setQueryTimeout(int seconds)` Deprecated. Not supported.
`void` | `setRef(int index, Ref x)` Deprecated. Not supported.
`void` | `setShort(int index, short x)` Deprecated. Not supported.
`void` | `setShort(String parameterName, short x)` Deprecated. Not supported.
`void` | `setString(int index, String x)` Deprecated. Not supported.
`void` | `setString(String parameterName, String x)` Deprecated. Not supported.
`void` | `setTime(int index, Time x)` Deprecated. Not supported.
`void` | `setTime(int index, Time x, Calendar cal)` Deprecated. Not supported.
`void` | `setTime(String parameterName, Time x)` Deprecated. Not supported.
`void` | `setTime(String parameterName, Time x, Calendar cal)` Deprecated. Not supported.
`void` | `setTimestamp(int index, Timestamp x)` Deprecated. Not supported.
`void` | `setTimestamp(int index, Timestamp x, Calendar cal)` Deprecated. Not supported.
`void` | `setTimestamp(String parameterName, Timestamp x)` Deprecated. Not supported.
`void` | `setTimestamp(String parameterName, Timestamp x, Calendar cal)` Deprecated. Not supported.
`void` | `setUnicodeStream(int index, InputStream x, int length)` Deprecated. Not supported.
`void` | `setURL(int parameterIndex, URL val)` Deprecated. Not supported.
`void` | `setURL(String parameterName, URL val)` Deprecated. Not supported.
`boolean` | `wasNull()` Deprecated. Not supported.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### connection

    protected Connection connection

  Deprecated.
  The connection which spawned us.

Constructor Detail

### CallableStatement

    public CallableStatement(Connection connection)

  Deprecated.
  Constructor.

Parameters:
  `connection` - the connection which spawned us.

Method Detail

### getDocumentProvider

    protected DocumentProvider getDocumentProvider()
                                            throws DocumentException

  Deprecated.
  Get the DocumentProvider we can use.

  Throws:
    `DocumentException`

### addBatch

    public void addBatch(String sql)
                  throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `addBatch` in interface `Statement`
  Throws:
    `SQLException` - always thrown

### cancel

    public void cancel()

  Deprecated.
  Intentionally empty.

  Specified by:
    `cancel` in interface `Statement`

### clearBatch

    public void clearBatch()
                    throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `clearBatch` in interface `Statement`
  Throws:
    `SQLException` - always thrown.

### clearWarnings

    public void clearWarnings()

  Deprecated.
  Intentionally blank.

  Specified by:
    `clearWarnings` in interface `Statement`

### close

    public abstract void close()
                        throws SQLException

  Deprecated.
  Subclasses must implement this method.

  Specified by:
    `close` in interface `Statement`
  Throws:
    `SQLException` - thrown on an error.

### execute

    public boolean execute(String sql)
                    throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `execute` in interface `Statement`
  Throws:
    `SQLException` - always thrown.

### execute

    public boolean execute(String sql,
                           int autoGeneratedKeys)
                    throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `execute` in interface `Statement`
  Throws:
    `SQLException` - always thrown.

### execute

    public boolean execute(String sql,
                           int[] columnIndexes)
                    throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `execute` in interface `Statement`
  Throws:
    `SQLException` - always thrown.

### execute

    public boolean execute(String sql,
                           String[] columnNames)
                    throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `execute` in interface `Statement`
  Throws:
    `SQLException` - always thrown.

### executeBatch

    public int[] executeBatch()
                       throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `executeBatch` in interface `Statement`
  Throws:
    `SQLException` - always thrown.

### executeQuery

    public ResultSet executeQuery(String sql)
                           throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `executeQuery` in interface `Statement`
  Throws:
    `SQLException` - always thrown.

### executeUpdate

    public int executeUpdate(String sql)
                      throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `executeUpdate` in interface `Statement`
  Throws:
    `SQLException` - always thrown.

### executeUpdate

    public int executeUpdate(String sql,
                             int autoGeneratedKeys)
                      throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `executeUpdate` in interface `Statement`
  Throws:
    `SQLException` - always thrown.

### executeUpdate

    public int executeUpdate(String sql,
                             int[] columnIndexes)
                      throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `executeUpdate` in interface `Statement`
  Throws:
    `SQLException` - always thrown.

### executeUpdate

    public int executeUpdate(String sql,
                             String[] columnNames)
                      throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `executeUpdate` in interface `Statement`
  Throws:
    `SQLException` - always thrown.

### getConnection

    public Connection getConnection()

  Deprecated.
  Return the connection which spawned us.

  Specified by:
    `getConnection` in interface `Statement`

### getFetchDirection

    public int getFetchDirection()
                          throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getFetchDirection` in interface `Statement`
  Throws:
    `SQLException` - always thrown.

### getFetchSize

    public int getFetchSize()
                     throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getFetchSize` in interface `Statement`
  Throws:
    `SQLException` - always thrown.

### getMaxFieldSize

    public int getMaxFieldSize()
                        throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getMaxFieldSize` in interface `Statement`
  Throws:
    `SQLException` - always thrown.

### getMaxRows

    public int getMaxRows()
                   throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getMaxRows` in interface `Statement`
  Throws:
    `SQLException` - always thrown.

### getMoreResults

    public boolean getMoreResults()
                           throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getMoreResults` in interface `Statement`
  Throws:
    `SQLException` - always thrown.

### getMoreResults

    public boolean getMoreResults(int current)
                           throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getMoreResults` in interface `Statement`
  Throws:
    `SQLException` - always thrown.

### getQueryTimeout

    public int getQueryTimeout()
                        throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getQueryTimeout` in interface `Statement`
  Throws:
    `SQLException` - always thrown.

### getResultSet

    public ResultSet getResultSet()
                           throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getResultSet` in interface `Statement`
  Throws:
    `SQLException` - always thrown.

### getResultSetConcurrency

    public int getResultSetConcurrency()
                                throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getResultSetConcurrency` in interface `Statement`
  Throws:
    `SQLException` - always thrown.

### getResultSetType

    public int getResultSetType()
                         throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getResultSetType` in interface `Statement`
  Throws:
    `SQLException` - always thrown.

### getUpdateCount

    public int getUpdateCount()
                       throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getUpdateCount` in interface `Statement`
  Throws:
    `SQLException` - always thrown.

### getWarnings

    public SQLWarning getWarnings()

  Deprecated.
  Intentionally blank.

  Specified by:
    `getWarnings` in interface `Statement`
  Returns:
    null;

### getGeneratedKeys

    public ResultSet getGeneratedKeys()
                               throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getGeneratedKeys` in interface `Statement`
  Throws:
    `SQLException` - always thrown.

### setCursorName

    public void setCursorName(String name)
                       throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setCursorName` in interface `Statement`
  Throws:
    `SQLException` - always thrown.

### setEscapeProcessing

    public void setEscapeProcessing(boolean enable)
                             throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setEscapeProcessing` in interface `Statement`
  Throws:
    `SQLException` - always thrown.

### setFetchDirection

    public void setFetchDirection(int direction)
                           throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setFetchDirection` in interface `Statement`
  Throws:
    `SQLException` - always thrown.

### setFetchSize

    public void setFetchSize(int rows)
                      throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setFetchSize` in interface `Statement`
  Throws:
    `SQLException` - always thrown.

### setMaxFieldSize

    public void setMaxFieldSize(int max)
                         throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setMaxFieldSize` in interface `Statement`
  Throws:
    `SQLException` - always thrown.

### setMaxRows

    public void setMaxRows(int max)
                    throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setMaxRows` in interface `Statement`
  Throws:
    `SQLException` - always thrown.

### setQueryTimeout

    public void setQueryTimeout(int seconds)
                         throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setQueryTimeout` in interface `Statement`
  Throws:
    `SQLException` - always thrown.

### addBatch

    public void addBatch()
                  throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `addBatch` in interface `PreparedStatement`
  Throws:
    `SQLException` - always thrown.

### clearParameters

    public abstract void clearParameters()
                                  throws SQLException

  Deprecated.
  Clear the input/output parameters internally.

  Subclasses must implement this.

  Specified by:
    `clearParameters` in interface `PreparedStatement`
  Throws:
    `SQLException` - thrown on an error.

### execute

    public abstract boolean execute()
                             throws SQLException

  Deprecated.
  Execute the command with the set input parameters.

  The results will be placed in the various output parameters.

  Subclasses must implement this.

  Specified by:
    `execute` in interface `PreparedStatement`
  Throws:
    `SQLException` - thrown on an error.

### executeQuery

    public ResultSet executeQuery()
                           throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `executeQuery` in interface `PreparedStatement`
  Throws:
    `SQLException` - always thrown.

### executeUpdate

    public int executeUpdate()
                      throws SQLException

  Deprecated.
  This justs executes the statement.

  Specified by:
    `executeUpdate` in interface `PreparedStatement`
  Throws:
    `SQLException` - thrown on an error.
  See Also:
    `execute(java.lang.String)`

### getMetaData

    public ResultSetMetaData getMetaData()
                                  throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getMetaData` in interface `PreparedStatement`
  Throws:
    `SQLException` - always thrown.

### setArray

    public void setArray(int index,
                         Array x)
                  throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setArray` in interface `PreparedStatement`
  Throws:
    `SQLException` - always thrown.

### setAsciiStream

    public void setAsciiStream(int index,
                               InputStream x,
                               int length)
                        throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setAsciiStream` in interface `PreparedStatement`
  Throws:
    `SQLException` - always thrown.

### setAsciiStream

    public void setAsciiStream(String parameterName,
                               InputStream x,
                               int length)
                        throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setAsciiStream` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### setBigDecimal

    public void setBigDecimal(int index,
                              BigDecimal x)
                       throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setBigDecimal` in interface `PreparedStatement`
  Throws:
    `SQLException` - always thrown.

### setBigDecimal

    public void setBigDecimal(String parameterName,
                              BigDecimal x)
                       throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setBigDecimal` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### setBinaryStream

    public void setBinaryStream(int index,
                                InputStream x,
                                int length)
                         throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setBinaryStream` in interface `PreparedStatement`
  Throws:
    `SQLException` - always thrown.

### setBinaryStream

    public void setBinaryStream(String parameterName,
                                InputStream x,
                                int length)
                         throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setBinaryStream` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### setBlob

    public void setBlob(int index,
                        Blob x)
                 throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setBlob` in interface `PreparedStatement`
  Throws:
    `SQLException` - always thrown.

### setBoolean

    public void setBoolean(int index,
                           boolean x)
                    throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setBoolean` in interface `PreparedStatement`
  Throws:
    `SQLException` - always thrown.

### setBoolean

    public void setBoolean(String parameterName,
                           boolean x)
                    throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setBoolean` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### setByte

    public void setByte(int index,
                        byte x)
                 throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setByte` in interface `PreparedStatement`
  Throws:
    `SQLException` - always thrown.

### setByte

    public void setByte(String parameterName,
                        byte x)
                 throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setByte` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### setBytes

    public void setBytes(int index,
                         byte[] x)
                  throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setBytes` in interface `PreparedStatement`
  Throws:
    `SQLException` - always thrown.

### setBytes

    public void setBytes(String parameterName,
                         byte[] x)
                  throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setBytes` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### setCharacterStream

    public void setCharacterStream(int index,
                                   Reader reader,
                                   int length)
                            throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setCharacterStream` in interface `PreparedStatement`
  Throws:
    `SQLException` - always thrown.

### setCharacterStream

    public void setCharacterStream(String parameterName,
                                   Reader reader,
                                   int length)
                            throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setCharacterStream` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### setClob

    public void setClob(int index,
                        Clob x)
                 throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setClob` in interface `PreparedStatement`
  Throws:
    `SQLException` - always thrown.

### setDate

    public void setDate(int index,
                        Date x)
                 throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setDate` in interface `PreparedStatement`
  Throws:
    `SQLException` - always thrown.

### setDate

    public void setDate(String parameterName,
                        Date x)
                 throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setDate` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### setDate

    public void setDate(int index,
                        Date x,
                        Calendar cal)
                 throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setDate` in interface `PreparedStatement`
  Throws:
    `SQLException` - always thrown.

### setDate

    public void setDate(String parameterName,
                        Date x,
                        Calendar cal)
                 throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setDate` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### setDouble

    public void setDouble(int index,
                          double x)
                   throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setDouble` in interface `PreparedStatement`
  Throws:
    `SQLException` - always thrown.

### setDouble

    public void setDouble(String parameterName,
                          double x)
                   throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setDouble` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### setFloat

    public void setFloat(int index,
                         float x)
                  throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setFloat` in interface `PreparedStatement`
  Throws:
    `SQLException` - always thrown.

### setFloat

    public void setFloat(String parameterName,
                         float x)
                  throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setFloat` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### setInt

    public void setInt(int index,
                       int x)
                throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setInt` in interface `PreparedStatement`
  Throws:
    `SQLException` - always thrown.

### setInt

    public void setInt(String parameterName,
                       int x)
                throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setInt` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### setLong

    public void setLong(int index,
                        long x)
                 throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setLong` in interface `PreparedStatement`
  Throws:
    `SQLException` - always thrown.

### setLong

    public void setLong(String parameterName,
                        long x)
                 throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setLong` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### setNull

    public void setNull(int index,
                        int sqlType)
                 throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setNull` in interface `PreparedStatement`
  Throws:
    `SQLException` - always thrown.

### setNull

    public void setNull(int index,
                        int sqlType,
                        String typeName)
                 throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setNull` in interface `PreparedStatement`
  Throws:
    `SQLException` - always thrown.

### setNull

    public void setNull(String parameterName,
                        int sqlType)
                 throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setNull` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### setNull

    public void setNull(String parameterName,
                        int sqlType,
                        String typeName)
                 throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setNull` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### setObject

    public abstract void setObject(int index,
                                   Object x)
                            throws SQLException

  Deprecated.
  Set the input parameter.

  Subclasses need to implement this method as neccessary.

  Specified by:
    `setObject` in interface `PreparedStatement`
  Throws:
    `SQLException` - thrown on an error.

### setObject

    public void setObject(String parameterName,
                          Object x)
                   throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setObject` in interface `CallableStatement`
  Throws:
    `SQLException` - always

### setObject

    public void setObject(int index,
                          Object x,
                          int sqlType)
                   throws SQLException

  Deprecated.
  Set the input parameter.

  Specified by:
    `setObject` in interface `PreparedStatement`
  Throws:
    `SQLException` - thrown on an error.
  See Also:
    `setObject(int, java.lang.Object)`

### setObject

    public void setObject(String parameterName,
                          Object x,
                          int sqlType)
                   throws SQLException

  Deprecated.
  Set the input parameter.

  Specified by:
    `setObject` in interface `CallableStatement`
  Throws:
    `SQLException` - thrown on an error.
  See Also:
    `setObject(int, java.lang.Object)`

### setObject

    public void setObject(int index,
                          Object x,
                          int sqlType,
                          int scale)
                   throws SQLException

  Deprecated.
  Set the input parameter.

  Specified by:
    `setObject` in interface `PreparedStatement`
  Throws:
    `SQLException` - thrown on an error.
  See Also:
    `setObject(int, java.lang.Object)`

### setObject

    public void setObject(String parameterName,
                          Object x,
                          int sqlType,
                          int scale)
                   throws SQLException

  Deprecated.
  Set the input parameter.

  Specified by:
    `setObject` in interface `CallableStatement`
  Throws:
    `SQLException` - thrown on an error.
  See Also:
    `setObject(int, java.lang.Object)`

### setRef

    public void setRef(int index,
                       Ref x)
                throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setRef` in interface `PreparedStatement`
  Throws:
    `SQLException` - always thrown.

### setShort

    public void setShort(int index,
                         short x)
                  throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setShort` in interface `PreparedStatement`
  Throws:
    `SQLException` - always thrown.

### setShort

    public void setShort(String parameterName,
                         short x)
                  throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setShort` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### setString

    public void setString(int index,
                          String x)
                   throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setString` in interface `PreparedStatement`
  Throws:
    `SQLException` - always thrown.

### setString

    public void setString(String parameterName,
                          String x)
                   throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setString` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### setTime

    public void setTime(int index,
                        Time x)
                 throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setTime` in interface `PreparedStatement`
  Throws:
    `SQLException` - always thrown.

### setTime

    public void setTime(String parameterName,
                        Time x)
                 throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setTime` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### setTime

    public void setTime(int index,
                        Time x,
                        Calendar cal)
                 throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setTime` in interface `PreparedStatement`
  Throws:
    `SQLException` - always thrown.

### setTime

    public void setTime(String parameterName,
                        Time x,
                        Calendar cal)
                 throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setTime` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### setTimestamp

    public void setTimestamp(int index,
                             Timestamp x)
                      throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setTimestamp` in interface `PreparedStatement`
  Throws:
    `SQLException` - always thrown.

### setTimestamp

    public void setTimestamp(String parameterName,
                             Timestamp x)
                      throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setTimestamp` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### setTimestamp

    public void setTimestamp(int index,
                             Timestamp x,
                             Calendar cal)
                      throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setTimestamp` in interface `PreparedStatement`
  Throws:
    `SQLException` - always thrown.

### setTimestamp

    public void setTimestamp(String parameterName,
                             Timestamp x,
                             Calendar cal)
                      throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setTimestamp` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### setUnicodeStream

    public void setUnicodeStream(int index,
                                 InputStream x,
                                 int length)
                          throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setUnicodeStream` in interface `PreparedStatement`
  Throws:
    `SQLException` - always thrown.

### getArray

    public Array getArray(int index)
                   throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getArray` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### getArray

    public Array getArray(String parameterName)
                   throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getArray` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### getBigDecimal

    public BigDecimal getBigDecimal(int index)
                             throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getBigDecimal` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### getBigDecimal

    public BigDecimal getBigDecimal(String parameterName)
                             throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getBigDecimal` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### getBigDecimal

    public BigDecimal getBigDecimal(int index,
                                    int scale)
                             throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getBigDecimal` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### getBlob

    public Blob getBlob(int index)
                 throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getBlob` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### getBlob

    public Blob getBlob(String parameterName)
                 throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getBlob` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### getBoolean

    public boolean getBoolean(int index)
                       throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getBoolean` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### getBoolean

    public boolean getBoolean(String parameterName)
                       throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getBoolean` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### getByte

    public byte getByte(int index)
                 throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getByte` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### getByte

    public byte getByte(String parameterName)
                 throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getByte` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### getBytes

    public byte[] getBytes(int index)
                    throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getBytes` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### getBytes

    public byte[] getBytes(String parameterName)
                    throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getBytes` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### getClob

    public Clob getClob(int index)
                 throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getClob` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### getClob

    public Clob getClob(String parameterName)
                 throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getClob` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### getDate

    public Date getDate(int index)
                 throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getDate` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### getDate

    public Date getDate(String parameterName)
                 throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getDate` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### getDate

    public Date getDate(int index,
                        Calendar cal)
                 throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getDate` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### getDate

    public Date getDate(String parameterName,
                        Calendar cal)
                 throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getDate` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### getDouble

    public double getDouble(int index)
                     throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getDouble` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### getDouble

    public double getDouble(String parameterName)
                     throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getDouble` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### getFloat

    public float getFloat(int index)
                   throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getFloat` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### getFloat

    public float getFloat(String parameterName)
                   throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getFloat` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### getInt

    public int getInt(int index)
               throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getInt` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### getInt

    public int getInt(String parameterName)
               throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getInt` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### getLong

    public long getLong(int index)
                 throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getLong` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### getLong

    public long getLong(String parameterName)
                 throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getLong` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### getObject

    public abstract Object getObject(int index)
                              throws SQLException

  Deprecated.
  Return the output parameter at index.

  Subclasses must implement this.

  Specified by:
    `getObject` in interface `CallableStatement`
  Parameters:
    `index` - the output parameter index.
  Throws:
    `SQLException` - thrown on an error.

### getObject

    public Object getObject(String parameter)
                     throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getObject` in interface `CallableStatement`
  Throws:
    `SQLException` - always.

### getObject

    public Object getObject(int index,
                            Map map)
                     throws SQLException

  Deprecated.
  Return the output parameter at index.

  Specified by:
    `getObject` in interface `CallableStatement`
  Parameters:
    `index` - the output parameter index.
    `map` - ignored.
  Throws:
    `SQLException` - thrown on an error.
  See Also:
    `getObject(int)`

### getObject

    public Object getObject(String parameterName,
                            Map map)
                     throws SQLException

  Deprecated.
  Return the output parameter at index.

  Specified by:
    `getObject` in interface `CallableStatement`
  Parameters:
    `map` - ignored.
  Throws:
    `SQLException` - thrown on an error.
  See Also:
    `getObject(int)`

### getRef

    public Ref getRef(int index)
               throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getRef` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### getRef

    public Ref getRef(String parameterName)
               throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getRef` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### getShort

    public short getShort(int index)
                   throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getShort` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### getShort

    public short getShort(String parameterName)
                   throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getShort` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### getString

    public String getString(int index)
                     throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getString` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### getString

    public String getString(String parameterName)
                     throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getString` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### getTime

    public Time getTime(int index)
                 throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getTime` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### getTime

    public Time getTime(String parameterName)
                 throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getTime` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### getTime

    public Time getTime(int index,
                        Calendar cal)
                 throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getTime` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### getTime

    public Time getTime(String parameterName,
                        Calendar cal)
                 throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getTime` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### getTimestamp

    public Timestamp getTimestamp(int index)
                           throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getTimestamp` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### getTimestamp

    public Timestamp getTimestamp(String parameterName)
                           throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getTimestamp` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### getTimestamp

    public Timestamp getTimestamp(int index,
                                  Calendar cal)
                           throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getTimestamp` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### getTimestamp

    public Timestamp getTimestamp(String parameterName,
                                  Calendar cal)
                           throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getTimestamp` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### registerOutParameter

    public void registerOutParameter(int index,
                                     int sqlType)
                              throws SQLException

  Deprecated.
  Intentionally blank.

  Specified by:
    `registerOutParameter` in interface `CallableStatement`
  Throws:
    `SQLException`

### registerOutParameter

    public void registerOutParameter(int index,
                                     int sqlType,
                                     int scale)
                              throws SQLException

  Deprecated.
  Intentionally blank

  Specified by:
    `registerOutParameter` in interface `CallableStatement`
  Throws:
    `SQLException`

### registerOutParameter

    public void registerOutParameter(int index,
                                     int sqlType,
                                     String typeName)
                              throws SQLException

  Deprecated.
  Intentionally blank

  Specified by:
    `registerOutParameter` in interface `CallableStatement`
  Throws:
    `SQLException`

### registerOutParameter

    public void registerOutParameter(String parameterName,
                                     int sqlType)
                              throws SQLException

  Deprecated.
  Intentionally blank.

  Specified by:
    `registerOutParameter` in interface `CallableStatement`
  Throws:
    `SQLException`

### registerOutParameter

    public void registerOutParameter(String parameterName,
                                     int sqlType,
                                     int scale)
                              throws SQLException

  Deprecated.
  Intentionally blank

  Specified by:
    `registerOutParameter` in interface `CallableStatement`
  Throws:
    `SQLException`

### registerOutParameter

    public void registerOutParameter(String parameterName,
                                     int sqlType,
                                     String typeName)
                              throws SQLException

  Deprecated.
  Intentionally blank

  Specified by:
    `registerOutParameter` in interface `CallableStatement`
  Throws:
    `SQLException`

### wasNull

    public boolean wasNull()
                    throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `wasNull` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### getResultSetHoldability

    public int getResultSetHoldability()
                                throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getResultSetHoldability` in interface `Statement`
  Throws:
    `SQLException` - always thrown.

### setURL

    public void setURL(String parameterName,
                       URL val)
                throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setURL` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### setURL

    public void setURL(int parameterIndex,
                       URL val)
                throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `setURL` in interface `PreparedStatement`
  Throws:
    `SQLException` - always thrown.

### getParameterMetaData

    public ParameterMetaData getParameterMetaData()
                                           throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getParameterMetaData` in interface `PreparedStatement`
  Throws:
    `SQLException` - always thrown.

### getURL

    public URL getURL(int parameterIndex)
               throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getURL` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

### getURL

    public URL getURL(String parameterName)
               throws SQLException

  Deprecated.
  Not supported.

  Specified by:
    `getURL` in interface `CallableStatement`
  Throws:
    `SQLException` - always thrown.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved